Subject: Re: bug#28589: 27.0.50; Emacs screen often becomes blank
From: Philipp Stephani <[email-masked]>
To: Katsumi Yamaoka <[email-masked]>, [email-masked]
Date: Tue, 26 Sep 2017 18:31:37 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Katsumi Yamaoka <[email-masked]> schrieb am Di., 26. Sep. 2017 um
06:44 Uhr:

> On Mon, 25 Sep 2017 10:01:30 +0900, Katsumi Yamaoka wrote:
> > Emacs screen often becomes blank or blinks.  This didn't happen
> > the last weekend, doesn't happen sometimes but often happens.
> > Changing the window configuration --- scrolling a window, showing
> > a message of two or more lines in the echo area, etc. --- seems
> > to cause it.  More funny thing is, when two Emacsen are running,
> > the one of which the frame is not selected becomes blank.
> > Typing any key in the selected blank frame will help, as if
> > (sit-for ∞) is running.
>
> Reverting the change c0af83b[1] solves this problem.
>
> [1]
> Don't attempt to disable double buffering in newer GTK+ versions
> <http://lists.gnu.org/archive/html/emacs-diffs/2017-09/msg00293.html>
>
>
Sigh, I had almost expected this would happen. Reverted with 2fa19cc551.
But now we have another time bomb in the codebase:
the gtk_widget_set_double_buffered function is deprecated and will probably
be removed sometime. This makes the migration to a pure GTK+ build even
more pressing.